> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revdesk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the caller's Display Identity Record (brand)

> Returns the display name, logo, call reasons, and vetting state shown on branded calls.



## OpenAPI

````yaml /openapi.json get /v1/caller-trust/brand
openapi: 3.1.0
info:
  title: RevDesk v1 API
  version: 1.0.0
  description: >-
    Programmatic access to the RevDesk voice platform — calls, numbers, caller
    trust, and brands.
  contact:
    name: RevDesk
    email: support@revdesk.com
servers:
  - url: https://api.revdesk.com
security:
  - bearerAuth: []
tags:
  - name: Phone Numbers
  - name: Caller IDs
  - name: Enterprise Registration
  - name: Branded Calling
  - name: Calls
  - name: SMS
  - name: WebRTC
  - name: Reputation
  - name: Usage
  - name: Account
  - name: Agents
  - name: Documents
  - name: Number Registration
  - name: Sub-entities
paths:
  /v1/caller-trust/brand:
    get:
      tags:
        - Branded Calling
      summary: Retrieve the caller's Display Identity Record (brand)
      description: >-
        Returns the display name, logo, call reasons, and vetting state shown on
        branded calls.
      operationId: v1_caller_trust_brand_get
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $schema: http://json-schema.org/draft-07/schema#
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: string
                          display_name:
                            type: string
                          call_reasons:
                            type: array
                            items:
                              type: string
                          authorizer_name:
                            anyOf:
                              - type: string
                              - type: 'null'
                          authorizer_email:
                            anyOf:
                              - type: string
                              - type: 'null'
                          authorizer_email_verified:
                            type: boolean
                          logo_url:
                            anyOf:
                              - type: string
                              - type: 'null'
                          status:
                            type: string
                          telnyx_status:
                            anyOf:
                              - type: string
                              - type: 'null'
                          rejection_reasons:
                            type: array
                            items:
                              type: string
                          submitted_at:
                            anyOf:
                              - type: string
                              - type: 'null'
                          approved_at:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - display_name
                          - call_reasons
                          - authorizer_name
                          - authorizer_email
                          - authorizer_email_verified
                          - logo_url
                          - status
                          - telnyx_status
                          - rejection_reasons
                          - submitted_at
                          - approved_at
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                additionalProperties: false
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '409':
          description: Conflict (incl. idempotency conflicts)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    ErrorEnvelope:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            fields:
              type: object
              additionalProperties:
                type: string
            doc_url:
              type: string
              format: uri
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````